org.apache.lucene.util

## Interface MemoryTracker

- All Known Implementing Classes:
    CollectorMemoryTracker

      public interface MemoryTracker

  Tracks dynamic allocations/deallocations of memory for transient objects

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytes()`
    `void` | `updateBytes(long bytes)`

- - ### Method Detail

    - #### updateBytes

          void updateBytes(long bytes)

    - #### getBytes

          long getBytes()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.